System.ServiceModel 4.0.0.0 System.ServiceModel.HttpBindingBase

is a binding designed for consuming HTTP or WebSocket services and uses binary encoding by default. Note: WebSockets are only supported on Windows 8. will detect whether it is used with a request-reply contract or duplex contract and change its behavior to match - it will use HTTP for request-reply and WebSockets for duplex (only on Windows 8). This behavior can be overridden by setting the property to one of the following values:

WhenDuplex- This is the default value and behaves as described above.

Never - This prevents WebSockets from being used. Attempting to use a duplex contract with this setting will result in an exception.

Always - This forces WebSockets to be used even for request-reply contracts.

supports reliable sessions in both HTTP mode and WebSocket mode. In WebSocket mode sessions are provided by the transport.

Specifies settings for .

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified security mode.

  The mode of the security.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified configuration name.

  The name of the configuration.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified security mode.

  The mode of the security.
  true to indicate that the reliable session was enabled; otherwise, false.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElementCollection To be added.

  Creates a collection that contains the binding elements for the binding.

  A collection of the binding elements that makes up the binding.

- Property
  4.0.0.0
  System.ServiceModel.NetHttpMessageEncoding To be added. To be added.

  Gets or sets the type of the message encoding that is used to encode the message.

- Property
  4.0.0.0
  System.ServiceModel.OptionalReliableSession To be added. To be added.

  Gets or sets an object that indicates whether a reliable session is established between channel endpoints.

- Property
  4.0.0.0
  System.String To be added. To be added. To be added.
- Property
  4.0.0.0
  System.ServiceModel.BasicHttpSecurity To be added. To be added.

  Gets or sets the security used with services configured with the binding.

- Method
  4.0.0.0
  System.Boolean To be added.

  Indicates whether the reliable session has changed from its default value and should be serialized.

  true if the reliable session should be serialized; otherwise, false.

- Method
  4.0.0.0
  System.Boolean To be added.

  Indicates whether the security has changed from its default value and should be serialized.

  true if the security should be serialized; otherwise, false.

- Property
  4.0.0.0
  System.ServiceModel.Channels.WebSocketTransportSettings To be added. To be added.

  Gets the settings of the websocket.